import 'monaco-editor/esm/vs/language/json/monaco.contribution';
import * as monaco from 'monaco-editor/esm/vs/editor/editor.api';
import { onDidChangeJsonSchema, getJsonSchemas } from 'vscode/monaco';
import { r as registerWorkerLoader } from '../worker.js';

function updateDiagnosticsOptions() {
  monaco.languages.json.jsonDefaults.setDiagnosticsOptions({
    comments: 'ignore',
    validate: true,
    schemas: getJsonSchemas({
      keybindings: ['file:///keybindings.json'],
      'settings/user': ['file:///settings.json']
    })
  });
}

updateDiagnosticsOptions();
onDidChangeJsonSchema(updateDiagnosticsOptions);

const workerLoader = async () => (await import(
/* webpackChunkName: "MonacoJsonWorker" */
'../json.worker.js').then(module => module)).default;

registerWorkerLoader('json', workerLoader);
