var comments = {
	blockComment: [
		"<!--",
		"-->"
	]
};
var brackets = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	]
];
var colorizedBracketPairs = [
];
var autoClosingPairs = [
	{
		open: "{",
		close: "}"
	},
	{
		open: "[",
		close: "]"
	},
	{
		open: "(",
		close: ")"
	},
	{
		open: "<",
		close: ">",
		notIn: [
			"string"
		]
	}
];
var surroundingPairs = [
	[
		"(",
		")"
	],
	[
		"[",
		"]"
	],
	[
		"`",
		"`"
	],
	[
		"_",
		"_"
	],
	[
		"*",
		"*"
	],
	[
		"{",
		"}"
	],
	[
		"'",
		"'"
	],
	[
		"\"",
		"\""
	]
];
var folding = {
	offSide: true,
	markers: {
		start: "^\\s*<!--\\s*#?region\\b.*-->",
		end: "^\\s*<!--\\s*#?endregion\\b.*-->"
	}
};
var wordPattern = {
	pattern: "(\\p{Alphabetic}|\\p{Number}|\\p{Nonspacing_Mark})(((\\p{Alphabetic}|\\p{Number}|\\p{Nonspacing_Mark})|[_])?(\\p{Alphabetic}|\\p{Number}|\\p{Nonspacing_Mark}))*",
	flags: "ug"
};
var markdown = {
	comments: comments,
	brackets: brackets,
	colorizedBracketPairs: colorizedBracketPairs,
	autoClosingPairs: autoClosingPairs,
	surroundingPairs: surroundingPairs,
	folding: folding,
	wordPattern: wordPattern
};

export { autoClosingPairs, brackets, colorizedBracketPairs, comments, markdown as default, folding, surroundingPairs, wordPattern };
